%bcond_with	java

Summary:	CrystalSpace free 3d engine
Name:		crystalspace
%define	major	1.4
Version:	%{major}.1
Release:	1
Group:		System/Libraries
License:	LGPLv2+
URL:		http://www.crystalspace3d.org/
Source0:	http://www.crystalspace3d.org/downloads/release/%{name}-src-%{version}.tar.bz2
Patch0:		crystalspace-src-1.4.1-cs-config.patch
BuildRequires:	lib3ds-devel >= 1.3.0
#BuildRequires:	MesaGLU-devel
BuildRequires:	pkgconfig(vorbis)
BuildRequires:	libmikmod-devel
BuildRequires:	pkgconfig(cal3d)
BuildRequires:	jpeg-devel
BuildRequires:	pkgconfig(zlib)
BuildRequires:	pkgconfig(ode)
BuildRequires:	pkgconfig(libpng12)
BuildRequires:	pkgconfig(openal)
BuildRequires:	mng-devel
BuildRequires:	X11-devel
BuildRequires:	nasm
BuildRequires:	perl-devel
BuildRequires:	wxgtku-devel
BuildRequires:	swig >= 1.3.14
BuildRequires:	bison >= 1.35
BuildRequires:	python-devel
BuildRequires:	ftjam >= 2.5.3rc2-0.9
BuildRequires:	flex
BuildRequires:	doxygen
BuildRequires:	pkgconfig(bullet)
BuildRequires:	libtool
BuildRequires:	texinfo
BuildRequires:	pkgconfig(librsvg-2.0)
BuildRequires:	pkgconfig(caca)
BuildRequires:	tetex-dvipdfm
BuildRequires:	tetex-dvips
BuildRequires:	imagemagick
BuildRequires:	pkgconfig(cppunit)
BuildRequires:	icoutils
BuildRequires:	pkgconfig(CEGUI)
BuildRequires:	perl(Template::Base)
%if %{with java}
BuildRequires:	java-rpmbuild
BuildRequires:	ant
%endif

%description
Crystal Space is a free (LGPL) and portable 3D Development Kit
written in C++. It supports: true six degree's of freedom,
colored lighting, mipmapping, portals, mirrors, alpha transparency,
reflective surfaces, 3D sprites (frame based or with skeletal animation),
procedural textures, radiosity, particle systems, halos, volumetric fog,
scripting (using Python or other languages), 8-bit, 16-bit, and 32-bit
display support, OpenGL and software renderering, font support,
hierarchical transformations, etc.

%package	devel
Group:		Development/C
Summary:	Development headers and libraries for %{name}
Requires:	%{name} = %{EVRD}

%description	devel
Development headers and libraries for %{name}.

%package	doc
Summary:	Crystalspace documentation
Group:		Development/C
Requires:	%{name} = %{EVRD}
Conflicts:	freetds-devel
BuildArch:	noarch

%description	doc
Crystalspace documentation.

%package	demos
Summary:	Crystalspace demos
Group:		Toys
Requires:	%{name} = %{EVRD}

%description	demos
Crystalspace demos.

%package	bindings-python
Summary:	Python bindings for Crystal Space free 3D SDK
Group:		Development/Python
Requires:	%{name} = %{EVRD}

%description bindings-python
Python bindings for Crystal Space free 3D SDK.

%if %{with java}
%package	bindings-java
Group:		Development/Java
Summary:	Java bindings for Crystal Space free 3D SDK
Requires:	%{name} = %{EVRD}
Requires:	java

%description	bindings-java
Java bindings for Crystal Space free 3D SDK.
%endif

%package	bindings-perl
Summary:	Perl bindings for Crystal Space free 3D SDK
Group:		Development/Perl
Requires:	%{name} = %{EVRD}
Requires:	perl

%description	bindings-perl
Perl bindings for Crystal Space free 3D SDK.

%prep
%setup -q -n %{name}-src-%{version}
%patch0 -p1

sed	-e 's#--exists libpng#--exists libpng12#g' \
	-e 's#--cflags libpng#--cflags libpng12#g' \
	-e 's#--libs libpng#--libs libpng12#g' \
	-i configure

%build
CXXFLAGS="%{optflags} -fpermissive" \
%configure2_5x	\
	--enable-cpu-specific-optimizations=no \
	--with-mesa \
	--disable-optimize \
	--disable-debug \
	--disable-separate-debug-info \
%if %{with java}
	--with-java \
%else
	--without-java \
%endif
	--with-wx \
	--with-caca=%{_prefix} \
	--disable-meta-info-embedding

jam -d2 %{_smp_mflags}

%install
DESTDIR=%{buildroot} jam -d2 install

install -m644 mk/autoconf/crystal.m4 -D %{buildroot}%{_datadir}/aclocal/crystal.m4

%if !%{with java}
rm -rf %{buildroot}{%{_datadir},%{_includedir}}/%{name}-%{major}/bindings/java
%endif

%files
%{_libdir}/libcrystalspace*-%{major}.so
%dir %{_libdir}/%{name}-%{major}
%{_libdir}/%{name}-%{major}/*.so
%{_libdir}/%{name}-%{major}/*.csplugin
%exclude %{_libdir}/%{name}-%{major}/cspython.so
%exclude %{_libdir}/%{name}-%{major}/cspython.csplugin
%dir %{_datadir}/%{name}-%{major}/bindings
%{_datadir}/%{name}-%{major}/build
%{_datadir}/%{name}-%{major}/conversion
%{_datadir}/%{name}-%{major}/data
%dir %{_sysconfdir}/%{name}-%{major}
%config(noreplace) %{_sysconfdir}/%{name}-%{major}/*

%files devel
%{_includedir}/*
%{_datadir}/aclocal/crystal.m4
%{_bindir}/cs-config*

%if %{with java}
%exclude %{_includedir}/%{name}-%{major}/bindings/java
%endif
%exclude %{_includedir}/%{name}-%{major}/bindings/perl
%exclude %{_includedir}/%{name}-%{major}/bindings/python

%files doc
%doc %{_docdir}/%{name}-%{version}

%files demos
%{_bindir}/*
%exclude %{_bindir}/cs-config
%exclude %{_bindir}/cs-config-%{major}

%if %{with java}
%files bindings-java
%dir %{_datadir}/%{name}-%{major}/bindings
%dir %{_datadir}/%{name}-%{major}/bindings/java
%{_datadir}/%{name}-%{major}/bindings/java/*
%{_includedir}/%{name}-%{major}/bindings/java
%endif

%files bindings-perl
%dir %{_datadir}/%{name}-%{major}/bindings/perl5
%{_datadir}/%{name}-%{major}/bindings/perl5/*
%{_includedir}/%{name}-%{major}/bindings/perl

%files bindings-python
%{python_sitearch}/cspace.pth
%dir %{_datadir}/%{name}-%{major}/bindings/python
%{_libdir}/%{name}-%{major}/cspython.so
%{_libdir}/%{name}-%{major}/cspython.csplugin
%{_datadir}/%{name}-%{major}/bindings/python/*
%{_includedir}/%{name}-%{major}/bindings/python


%changelog
* Mon Jan 23 2012 Per Øyvind Karlsen <peroyvind@mandriva.org> 1.4.1-1
+ Revision: 767241
- use %%{EVRD} macro
- drop deprecated rpm junk
- use pkgconfig() dependencies
- make ftjam dependency versioned so that we're sure to get a ftjam that doesn't
  segfault
- make doc sub-package noarch
- ditch redundant python dependency for bindings-python package
- cleanups
- drop multiarch stuff, no longer required
- drop dead configure options
- compile with -fpermissive
- disable java bindings for now as it breaks build
- build against libpng 1.2
- link against dynamic libbullet
- link against unicode wxgtk
- new version

  + Oden Eriksson <oeriksson@mandriva.com>
    - rebuild

* Thu Jan 22 2009 Funda Wang <fwang@mandriva.org> 1.2.1-5mdv2009.1
+ Revision: 332521
- fix str fmt

* Sat Dec 13 2008 Funda Wang <fwang@mandriva.org> 1.2.1-4mdv2009.1
+ Revision: 313965
- rebuild

* Sat Oct 11 2008 Adam Williamson <awilliamson@mandriva.org> 1.2.1-3mdv2009.1
+ Revision: 291799
- rebuild for changed CEGUI versioning scheme

* Thu Aug 07 2008 Thierry Vignaud <tv@mandriva.org> 1.2.1-2mdv2009.0
+ Revision: 266540
- rebuild early 2009.0 package (before pixel changes)

* Thu May 29 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 1.2.1-1mdv2009.0
+ Revision: 212921
- fix file list
- update to new version 1.2.1

* Thu Apr 24 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 1.2-6mdv2009.0
+ Revision: 197221
- rebuild for CEGUI

* Thu Apr 24 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 1.2-5mdv2009.0
+ Revision: 197097
- get rid of /usr/local
- export inludedir with flags

* Wed Apr 23 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 1.2-4mdv2009.0
+ Revision: 197062
- completely remove -march and -mtune
- versioned config script should be in devel not in demos package
- export %%{optflags} and hopefully link against openal
- disable optimization, march and mtune should be generic
- spit out the bindings for java, perl and python to a separate subpackages
- add buildrequires on ant and java-rpmbuild

* Mon Apr 21 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 1.2-3mdv2009.0
+ Revision: 196294
- Patch0: fix cs-config script
- add missing buildrequires on perl-Template-Toolkit
- do not hardcode python libdir

* Fri Apr 18 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 1.2-2mdv2009.0
+ Revision: 195675
- spec file clean
- new license policy
- add a bunch of missing buildrequires
- spec file clean

* Wed Dec 26 2007 Emmanuel Andry <eandry@mandriva.org> 1.2-1mdv2008.1
+ Revision: 137963
- New version

  + Olivier Blin <blino@mandriva.org>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request


* Wed Feb 21 2007 Lenny Cartier <lenny@mandriva.com> 1.0.1-1mdv2007.0
+ Revision: 123805
- Update to 1.0.1

* Thu Jan 25 2007 Emmanuel Andry <eandry@mandriva.org> 1.0-5mdv2007.1
+ Revision: 113065
- build against wxGTK2.8

* Mon Jan 22 2007 Per Øyvind Karlsen <pkarlsen@mandriva.com> 1.0-4mdv2007.1
+ Revision: 111630
- bump to rebuild against new ode

* Sun Jan 21 2007 Per Øyvind Karlsen <pkarlsen@mandriva.com> 1.0-3mdv2007.1
+ Revision: 111403
- bump
- let rpm take care of stripping debug symbols
  lib64 fix for cs-config
  clean out old junk

* Thu Jan 18 2007 Per Øyvind Karlsen <pkarlsen@mandriva.com> 1.0-2mdv2007.1
+ Revision: 110220
- build with wx support
- update to 1.0 final

  + Pascal Terjan <pterjan@mandriva.org>
    - 1.0rc1
    - add patch from svn to build with gcc 4.1
    - buildrequires jam
    - Import crystalspace

* Wed Mar 09 2005 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.99-0.cvs20050308.2mdk
- versioned requires for devel package
- multiarch

* Tue Mar 08 2005 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.99-0.cvs20050308.1mdk
- new cvs snapshot

* Sun Dec 05 2004 Michael Scherer <misc@mandrake.org> 0.97-0.cvs20040615.3mdk
- Rebuild for new python

* Mon Jul 19 2004 Michael Scherer <misc@mandrake.org> 0.97-0.cvs20040615.2mdk 
- add the proper Conflict

* Wed Jun 16 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.97-0.cvs20040615.1mdk
- new cvs snapshot
- switch to jam
- clean up files

